Loyalty.lt
Shop loyalty cards

Get Loyalty Card Details

Get detailed information about a specific loyalty card

GET/{locale}/shop/loyalty-cards/{id}

Get detailed information about a specific loyalty card

Authorization

bearerAuth
AuthorizationBearer <token>

Enter JWT token in the format: Bearer {token}

In: header

Path Parameters

locale*string

Locale code

id*integer

Loyalty card ID

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/en/shop/loyalty-cards/1"
{  "success": true,  "data": {    "id": 1,    "user_id": 1,    "card_number": "LC00000001",    "card_name": "My Loyalty Card",    "qr_code": "550e8400-e29b-41d4-a716-446655440000",    "barcode_type": "QR",    "card_type": "universal",    "is_active": true,    "points_balance": 1250,    "points_history": [      {        "id": 1,        "type": "earned",        "points": 100,        "description": "Purchase at Partner Store",        "created_at": "2019-08-24T14:15:22Z"      }    ],    "partner": {},    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "code": 200}